Bug 182033 - [maintainer] make devel/wordgrinder build when gcc is missing
Summary: [maintainer] make devel/wordgrinder build when gcc is missing
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-12 12:10 UTC by Vitaly Magerya
Modified: 2013-11-03 00:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.09 KB, patch)
2013-09-12 12:10 UTC, Vitaly Magerya
no flags Details | Diff
wordgrinder.diff.txt (890 bytes, text/plain; charset=UTF-8)
2013-09-26 16:46 UTC, Vitaly Magerya
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaly Magerya 2013-09-12 12:10:00 UTC
It seems that devel/wordgrinder has "gcc" hardcoded
and fails to build on CURRENT (where gcc is missing).

The attached patch changes "gcc" into "cc ", so that
it would always build with default compiler.

Note that changing "gcc" into "${CC}" is impossible,
since wordgrinder builds using a "pm" file, which has
hardcoded offsets into itself (i.e. it is not plain text).
Changing "gcc" into "cc " only works because they are
of the same length.

Also note that wordgrinder 0.4.1 is already out, but
I can't update to it yet, since our port for LuaFileSystem
only works with Lua 5.1, and wordgrinder switched to Lua 5.2.

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-09-12 19:44:10 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Vitaly Magerya 2013-09-26 16:46:58 UTC
Here's an updated patch with new MASTER_SITE_SUBDIR; it must have
changed at some point.

BTW, it's 'editors/wordgrinder', not 'devel/wordgrinder'.

You can find redports logs at [1]. Unfortunately, 10-CURRENT machines
seem to be down at the moment, so no logs for that.

Also, may I note that pkg-fallout@ messages about this port are getting
boring, considering that a fix is already submitted?

[1] https://redports.org/buildarchive/20130926120300-53781/
Comment 3 Mark Felder freebsd_committer 2013-11-03 00:44:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->feld

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-11-03 00:46:46 UTC
Author: feld
Date: Sun Nov  3 00:46:39 2013
New Revision: 332568
URL: http://svnweb.freebsd.org/changeset/ports/332568

Log:
  Remove hardcoded gcc
  
  PR:		ports/182033
  Approved by:	swills (mentor, implicit)

Modified:
  head/editors/wordgrinder/Makefile

Modified: head/editors/wordgrinder/Makefile
==============================================================================
--- head/editors/wordgrinder/Makefile	Sun Nov  3 00:36:33 2013	(r332567)
+++ head/editors/wordgrinder/Makefile	Sun Nov  3 00:46:39 2013	(r332568)
@@ -9,14 +9,14 @@ MASTER_SITES=	SF
 MAINTAINER=	vmagerya@gmail.com
 COMMENT=	A simple Unicode-aware console-based word processor
 
+LICENSE=	MIT
+
 RUN_DEPENDS=	${LUA_MODLIBDIR}/lfs.so:${PORTSDIR}/devel/luafilesystem
 
 USE_LUA=	5.1+
 
 USE_BZIP2=	yes
 
-LICENSE=	MIT
-
 MAN1=		wordgrinder.1
 
 PLIST_DIRS=	share/doc/wordgrinder
@@ -34,6 +34,8 @@ post-patch:
 		${WRKSRC}/pmfile
 	${REINPLACE_CMD} 's,^LUACOMPILER =.*$$,LUACOMPILER = "${LUAC_CMD}",' \
 		${WRKSRC}/tools/lua.pm
+	${REINPLACE_CMD} "/CCOMPILER = /s,gcc,cc ," ${WRKSRC}/tools/c.pm
+	${REINPLACE_CMD} "/CC=/s,gcc,cc ," ${WRKSRC}/pm
 
 do-build:
 	(cd ${WRKSRC}; ./pm)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Mark Felder freebsd_committer 2013-11-03 00:46:49 UTC
State Changed
From-To: open->closed

Committed. Thanks!